> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a project

> Returns a specific project by ID.



## OpenAPI

````yaml GET /projects/{project_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}:
    get:
      summary: Retrieve a project
      description: Returns a specific project by ID.
      operationId: project
      parameters:
        - name: project_id
          in: path
          description: Id of project
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 123
                    name: Southeast Capture Project
                    description: >-
                      SCP is a biochar carbon removal project based in the
                      Southeast. It applies innovative interventions at
                      bioenergy plants to sequester carbon durably in the form
                      of carbon-dense biochar.
                    project_type: Biochar
                    credit_types:
                      - CORC
                    country: US
                    state: Washington
                    project_status: ACTIVE
                    registry_name: Puro.Earth
                    registry_link: ''
                    methodology: Puro Biochar Methodology v3 2023
                    images:
                      - name: Image.png
                        url: http://....
                    sustainable_development_goals:
                      - good_health_and_wellbeing
                      - quality_education
                    custom_field_values:
                      external_id: f47ac10b-58cc-4372-a567-0e02b2c3d479
                      equipment_inventory: https://docs.google.com/spreadsheets/d/1tCn1
                      next_planned_reporting_date: '2026-01-21T00:00:00.000Z'
                    custom_fields:
                      - key: external_id
                        label: External ID
                        variant: text
                        value: f47ac10b-58cc-4372-a567-0e02b2c3d479
                        is_visible_in_overview: true
                      - key: equipment_inventory
                        label: Equipment Inventory
                        variant: url
                        value: https://docs.google.com/spreadsheets/d/1tCn1
                        is_visible_in_overview: true
                      - key: next_planned_reporting_date
                        label: Next Planned Reporting Date
                        variant: date
                        value: '2026-01-21T00:00:00.000Z'
                        is_visible_in_overview: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Project not found.
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Project not found.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````